Countable
OuterIterator
Countable
PHP Manual

# Countable::count

Count elements of an object

### Description

abstract public int Countable::count ( void )

This method is executed when using the count function on an object implementing Countable.

### Parameters

This function has no parameters.

### Return Values

The custom count as an integer.

> Note:

> The return value is cast to an integer.

### Examples

Example #1 Countable::count example

`<?php
class myCounter implements Countable {
public function count() {
static $count = 0;
return ++$count;
}
}
$counter = new myCounter;
for($i=0; $i<10; ++$i) {
echo "I have been count()ed " . count($counter) . " times\n";
}
?>`

The above example will output something similar to:

    I have been count()ed 1 times
    I have been count()ed 2 times
    I have been count()ed 3 times
    I have been count()ed 4 times
    I have been count()ed 5 times
    I have been count()ed 6 times
    I have been count()ed 7 times
    I have been count()ed 8 times
    I have been count()ed 9 times
    I have been count()ed 10 times